<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    
		<h2>Zaměstnanci</h2>
		
		<h:form>
			<!-- funguje to iterativne, var rika, jak oznacime jednu aktualni polozku v ramci cyklu -->
			<!-- foreach person in personBean.people -->
			<h:dataTable value="#{zamestnanecBean.zamestnanci}" var="zamestnanec" styleClass="table" columnClasses="text-center,text-left,text-left,text-left,text-center">
				<h:column>
					<f:facet name="header">
						ID
					</f:facet>
					<h:outputText value="#{zamestnanec.idZamestnanec}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Jméno
					</f:facet>
					<h:outputText value="#{zamestnanec.jmeno}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Příjmení
					</f:facet>
					<h:outputText value="#{zamestnanec.prijemni}"></h:outputText>
				</h:column>
				
				<h:column>
					<f:facet name="header">
						Login
					</f:facet>
					<h:outputText value="#{zamestnanec.login}"></h:outputText>
				</h:column>
				<h:column>
					<h:commandLink action="#{zamestnanecBean.actionEdit(zamestnanec)}">
						<i class="fa fa-pencil fa-15x" aria-hidden="true" title="Upravit zaměstnance"></i>
					</h:commandLink>
<!-- 				</h:column> -->
				&nbsp;
<!-- 				<h:column> -->
					<h:commandLink action="#{zamestnanecBean.actionObjednavky(zamestnanec)}">
						<i class="fa fa-circle-o fa-15x" aria-hidden="true" title="Objednávky"></i>
						<!-- <h:outputText value="Objednávky"></h:outputText> -->
					</h:commandLink>
				</h:column>
			</h:dataTable>
			<h:commandLink action="#{zamestnanecBean.actionNew}" styleClass="button">
				<h:outputText value="Nový zaměstnanec"></h:outputText>
			</h:commandLink>
		</h:form>
	</ui:define>
</ui:composition>
</html>
